Skip to main content
`Ctrl`+`K`

# PetscBeganMPI

indicates if PETSc initialized MPI using `MPI_Init()` during `PetscInitialize()` or if MPI was already initialized with `MPI_Init()`

## Synopsis

    #include <petscsys.h>
    PetscBool PetscBeganMPI;

No Fortran Support

## Note

`MPI_Init()` can never be called after `PetscInitialize()`

## See Also

`PetscInitialize()`, `PetscInitializeCalled`

## Level

developer

## Location

include/petscsys.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages